<?php
/**
 * The batch create view file of user module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@easycorp.ltd>
 * @package     user 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<form id='ajaxForm' method='post'>
  <div class='panel'>
    <div class='panel-heading'><strong><?php echo $lang->user->batchCreate;?></strong></div>
    <div class='panel-body'>
      <table class='table table-form table-borderless'>
        <thead>
          <tr class='text-center'>
            <th class='required'><?php echo $lang->user->account;?></th>
            <th class='required'><?php echo $lang->user->realname;?></th>
            <th class='required'><?php echo $lang->user->password;?></th>
            <th class='required'><?php echo $lang->user->password2;?></th>
            <th class='w-100px'><?php echo $lang->user->gender;?></th>
            <th><?php echo $lang->user->dept;?></th>
            <th><?php echo $lang->user->role;?></th>
            <th><?php echo $lang->user->email;?></th>
          </tr>
        </thead>
        <tbody>
          <?php unset($lang->user->genderList->u);?>
          <?php for($i = 0; $i < $this->config->user->batchCreateCount; $i++):?>
          <tr>
            <td class='w-p40'><?php echo html::input("account[$i]", '', "id='account{$i}' class='form-control' autocomplete='off'");?></td>
            <td><?php echo html::input("realname[$i]", '', "id='realname{$i}' class='form-control' autocomplete='off'");?></td>
            <td><?php echo html::password("password1[$i]", '', "id='password1{$i}' class='form-control' autocomplete='off'")?></td>
            <td><?php echo html::password("password2[$i]", '', "id='password2{$i}' class='form-control' autocomplete='off'");?></td>
            <td><?php echo html::radio("gender[$i]", $lang->user->genderList, '');?></td>
            <td><?php echo html::select("dept[$i]", $depts, '', "id='dept{$i}' class='form-control chosen'");?></td>
            <td><?php echo html::select("role[$i]", $lang->user->roleList, '', "id='role{$i}' class='form-control chosen'");?></td>
            <td><?php echo html::input("email[$i]", '', "id='email{$i}' class='form-control' autocomplete='off'");?></td>
          </tr>
          <?php endfor;?>
        </tbody>
        <tr>
          <td colspan='8' class='text-center form-actions'>
            <?php echo html::submitButton() . html::backButton();?>
          </td>
        </tr>
      </table>
    </div>
  </div>
</form>
<div class='errorMessage hide'>
  <div class='alert alert-danger alert-dismissable'>
    <button aria-hidden='true' data-dismiss='alert' class='close' type='button'>×</button>
    <button type='button' class='btn btn-default' id='continueSubmit'><?php echo $lang->continueSave;?></button>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
